.product_card_image{
    width: 100% !important;
    height: 180px;
    object-fit: contain;
}

/* ===============================
   PRODUCT IMAGE
================================ */
.product_card_image {
    width: 100% !important;
    height: 180px;
    object-fit: contain;
}

.product-img {
    position: relative;
}

/* ===============================
   OWL CAROUSEL
================================ */
.product-hover-carousel {
    position: relative;
    z-index: 1;
}

.product-hover-carousel img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product-hover-carousel .owl-nav {
    display: none;
}

/* ===============================
   LINE INDICATOR (CUSTOM DOTS)
================================ */
.product-hover-carousel .owl-dots {
    position: absolute;
    bottom: 12px;
    left: 10px;
    right: 10px;
    z-index: 4;
    display: flex;
    gap: 6px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

/* show dots on hover */
.product-item:hover .owl-dots {
    opacity: 1;
}

/* each line */
.product-hover-carousel .owl-dot {
    flex: 1;
}

.product-hover-carousel .owl-dot span {
    width: 100%;
    height: 226px;
    background: rgb(0 0 0 / 0%);
    display: block;
    border-radius: 2px;
    transition: background 0.3s ease;
    border-bottom: 2px solid #b1ababc0;
}

/* active line */
.product-hover-carousel .owl-dot.active span {
    background: transparent;
     border-bottom: 2px solid #000;
}

/* ===============================
   PRODUCT ACTION BUTTONS
================================ */
.product-action {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 5;
    opacity: 0;
    transition: opacity 0.3s ease;

    pointer-events: none; /* container ignores mouse */
}

/* only buttons clickable */
.product-action a {
    pointer-events: auto;
}

/* show on hover */
.product-item:hover .product-action {
    opacity: 1;
}

.blog-title{
    font-size: 20px;
    color: #000;
    font-weight: 600 !important;
}

.f-16{
    font-size: 16px;

}

.blog-card-body{
    height: 272px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.nav-row-pad{
    padding: 1px 0;
}
.dropdown-menu{
   background: #098ae3;
    border-radius: 4px !important;
}

.top-offcanvas{
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    height: 120px;
    background: #fff;
    z-index: 1050;
    transition: 0.4s ease;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.top-offcanvas.active{
    top: 0;
}

.offcanvas-inner{
        position: relative;
    padding: 30px;
    width: 80%;
    margin: 0 auto;
}
.offcanvas-inner form{
    width: 95%;
}
.offcanvas-inner input{
    height: 45px;
    font-size: 16px;
    border: navajowhite;
    border-bottom: 1px solid;
}
.offcanvas-inner input:focus{
    border-color: #000;
}


.close-btn{
        position: absolute;
    right: 20px;
    top: 20px;
    background: none;
    border: none;
    font-size: 30px;
    cursor: pointer;
    background: #8080809c;
    padding: 0 12px;
    border-radius: 50%;
    transition: 0.35s ease-in-out;
    border: 1px solid #8080809c;
}
.close-btn:hover{
    background-color: #fff;
    border: 1px solid #000;

}
.nav-search-btn{
        border: 0;
    background: transparent;
    margin-right: 23px;
    padding: 0;
    font-size: 17px;
    color: #4c4a4a;
}
.nav-search-btn:focus{
    border: none !important;
    outline: none;
}

.product-nav-width{
    width: 300px;
    border: 1px solid rgb(9 138 227)
}

.dropdown-item:hover, .dropdown-item:focus
{
    background-color: #fcfcfc;
    color: #000;
}

@media screen and (max-width:500px){
    .product-nav-width{
        width: 200px;
    }
    .navbar-vertical.navbar-light .navbar-nav .nav-link {
    padding: 8px 2px;
    border-bottom: 1px solid #fcfcfc;
}
.sub-menue-dropdown{
    width: 200px;
}
.product-dropdown-item{
    white-space: wrap !important;
    padding: 0.25rem;
}
.promo-img{
    height: 75px;
}
}

.bg-white{
    background-color: #fff;
}

.bg-black{
    background-color: #000;
}

@media screen and (max-width:900px){
    .dropdown-menu.show {
    display: block;
    border: 1px solid #fff !important;
    padding: 6px;
}
}

@media screen and (min-width:1400px){
    .blog-title {
        font-size: 23px;
    }
    .f-16{
        font-size: 20px;
    }
    .nav-row-pad{
        padding: 2px 0;
    }
}